HepMC3 event record library: HEPEVT_Wrapper_Runtime_Static Class Reference

HepMC3 event record library

Static Public Member Functions | Static Private Attributes
HEPEVT_Wrapper_Runtime_Static Class Reference

## Detailed Description

A static interface to HEPEVT common block implemented to deal with varying block size in runtime.

Definition at line 30 of file HEPEVT_Wrapper_Runtime_Static.h.

`#include <HEPEVT_Wrapper_Runtime_Static.h>`

Collaboration diagram for HEPEVT_Wrapper_Runtime_Static:
[legend]

## Static Public Member Functions
static void | print_hepevt (std::ostream &ostr=std::cout)
| Print information from HEPEVT common block.
static void | print_hepevt_particle (int index, std::ostream &ostr=std::cout)
| Print particle information.
static void | zero_everything ()
| Set all entries in HEPEVT to zero.
static bool | GenEvent_to_HEPEVT (const GenEvent *evt)
| Convert GenEvent to HEPEVT.
static bool | HEPEVT_to_GenEvent (GenEvent *evt)
| Convert HEPEVT to GenEvent.
static bool | fix_daughters ()
| Tries to fix list of daughters.
static void | set_max_number_entries (unsigned int size)
| Set block size.
static void | set_hepevt_address (char *c)
| Set Fortran block address.
static int | max_number_entries ()
| Block size.
static int | event_number ()
| Get event number.
static int | number_entries ()
| Get number of entries.
static int | status (const int index)
| Get status code.
static int | id (const int index)
| Get PDG particle id.
static int | first_parent (const int index)
| Get index of 1st mother.
static int | last_parent (const int index)
| Get index of last mother.
static int | first_child (const int index)
| Get index of 1st daughter.
static int | last_child (const int index)
| Get index of last daughter.
static double | px (const int index)
| Get X momentum.
static double | py (const int index)
| Get Y momentum.
static double | pz (const int index)
| Get Z momentum.
static double | e (const int index)
| Get Energy.
static double | m (const int index)
| Get generated mass.
static double | x (const int index)
| Get X Production vertex.
static double | y (const int index)
| Get Y Production vertex.
static double | z (const int index)
| Get Z Production vertex.
static double | t (const int index)
| Get production time.
static int | number_parents (const int index)
| Get number of parents.
static int | number_children (const int index)
| Get number of children from the range of daughters.
static int | number_children_exact (const int index)
| Get number of children by counting.
static void | set_event_number (const int evtno)
| Set event number.
static void | set_number_entries (const int noentries)
| Set number of entries.
static void | set_status (const int index, const int status)
| Set status code.
static void | set_id (const int index, const int id)
| Set PDG particle id.
static void | set_parents (const int index, const int firstparent, const int lastparent)
| Set parents.
static void | set_children (const int index, const int firstchild, const int lastchild)
| Set children.
static void | set_momentum (const int index, const double px, const double py, const double pz, const double e)
| Set 4-momentum.
static void | set_mass (const int index, double mass)
| Set mass.
static void | set_position (const int index, const double x, const double y, const double z, const double t)
| Set position in time-space.

## Static Private Attributes
static HEPMC3_EXPORT_API std::shared_ptr< struct HEPEVT_Pointers< double > > | m_hepevtptr = nullptr
| Fortran common block HEPEVT.
static HEPMC3_EXPORT_API int | m_max_particles = 0
| Block size.

## Member Function Documentation

## ◆ e()

double e | ( | const int | index | ) |
| inlinestatic

Get Energy.

Definition at line 72 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ event_number()

int event_number | ( |  | ) |
| inlinestatic

Get event number.

Definition at line 61 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ first_child()

int first_child | ( | const int | index | ) |
| inlinestatic

Get index of 1st daughter.

Definition at line 67 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ first_parent()

int first_parent | ( | const int | index | ) |
| inlinestatic

Get index of 1st mother.

Definition at line 65 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ fix_daughters()

bool fix_daughters | ( |  | ) |
| inlinestatic

Tries to fix list of daughters.

Definition at line 207 of file HEPEVT_Wrapper_Runtime_Static.h.

References first_child(), first_parent(), last_child(), last_parent(), number_children(), number_children_exact(), number_entries(), and set_children().

## ◆ GenEvent_to_HEPEVT()

bool GenEvent_to_HEPEVT | ( | const GenEvent * | evt | ) |
| inlinestatic

Convert GenEvent to HEPEVT.

Definition at line 44 of file HEPEVT_Wrapper_Runtime_Static.h.

References HepMC3::GenEvent_to_HEPEVT_static().

## ◆ HEPEVT_to_GenEvent()

bool HEPEVT_to_GenEvent | ( | GenEvent * | evt | ) |
| inlinestatic

Convert HEPEVT to GenEvent.

Definition at line 46 of file HEPEVT_Wrapper_Runtime_Static.h.

References HepMC3::HEPEVT_to_GenEvent_static().

## ◆ id()

int id | ( | const int | index | ) |
| inlinestatic

Get PDG particle id.

Definition at line 64 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ last_child()

int last_child | ( | const int | index | ) |
| inlinestatic

Get index of last daughter.

Definition at line 68 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ last_parent()

int last_parent | ( | const int | index | ) |
| inlinestatic

Get index of last mother.

Definition at line 66 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ m()

double m | ( | const int | index | ) |
| inlinestatic

Get generated mass.

Definition at line 73 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ max_number_entries()

int max_number_entries | ( |  | ) |
| inlinestatic

Block size.

Definition at line 60 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_max_particles.

## ◆ number_children()

int number_children | ( | const int | index | ) |
| inlinestatic

Get number of children from the range of daughters.

Definition at line 159 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ number_children_exact()

int number_children_exact | ( | const int | index | ) |
| inlinestatic

Get number of children by counting.

Definition at line 164 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ number_entries()

int number_entries | ( |  | ) |
| inlinestatic

Get number of entries.

Definition at line 62 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ number_parents()

int number_parents | ( | const int | index | ) |
| inlinestatic

Get number of parents.

Definition at line 153 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ print_hepevt()

void print_hepevt | ( | std::ostream & | ostr = std::cout | ) |
| inlinestatic

Print information from HEPEVT common block.

Definition at line 116 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr, and print_hepevt_particle().

## ◆ print_hepevt_particle()

void print_hepevt_particle | ( | int | index,
|  | std::ostream & | ostr = std::cout )
| inlinestatic

Print particle information.

Definition at line 126 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ px()

double px | ( | const int | index | ) |
| inlinestatic

Get X momentum.

Definition at line 69 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ py()

double py | ( | const int | index | ) |
| inlinestatic

Get Y momentum.

Definition at line 70 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ pz()

double pz | ( | const int | index | ) |
| inlinestatic

Get Z momentum.

Definition at line 71 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ set_children()

void set_children | ( | const int | index,
|  | const int | firstchild,
|  | const int | lastchild )
| inlinestatic

Set children.

Definition at line 180 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ set_event_number()

void set_event_number | ( | const int | evtno | ) |
| inlinestatic

Set event number.

Definition at line 81 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ set_hepevt_address()

void set_hepevt_address | ( | char * | c | ) |
| inlinestatic

Set Fortran block address.

Definition at line 96 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr, m_max_particles, and x().

## ◆ set_id()

void set_id | ( | const int | index,
|  | const int | id )
| inlinestatic

Set PDG particle id.

Definition at line 84 of file HEPEVT_Wrapper_Runtime_Static.h.

References id(), and m_hepevtptr.

## ◆ set_mass()

void set_mass | ( | const int | index,
|  | double | mass )
| inlinestatic

Set mass.

Definition at line 194 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ set_max_number_entries()

void set_max_number_entries | ( | unsigned int | size | ) |
| inlinestatic

Set block size.

Definition at line 58 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_max_particles.

## ◆ set_momentum()

void set_momentum | ( | const int | index,
|  | const double | px,
|  | const double | py,
|  | const double | pz,
|  | const double | e )
| inlinestatic

Set 4-momentum.

Definition at line 186 of file HEPEVT_Wrapper_Runtime_Static.h.

References e(), m_hepevtptr, px(), py(), and pz().

## ◆ set_number_entries()

void set_number_entries | ( | const int | noentries | ) |
| inlinestatic

Set number of entries.

Definition at line 82 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ set_parents()

void set_parents | ( | const int | index,
|  | const int | firstparent,
|  | const int | lastparent )
| inlinestatic

Set parents.

Definition at line 174 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ set_position()

void set_position | ( | const int | index,
|  | const double | x,
|  | const double | y,
|  | const double | z,
|  | const double | t )
| inlinestatic

Set position in time-space.

Definition at line 199 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr, t(), x(), y(), and z().

## ◆ set_status()

void set_status | ( | const int | index,
|  | const int | status )
| inlinestatic

Set status code.

Definition at line 83 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr, and status().

## ◆ status()

int status | ( | const int | index | ) |
| inlinestatic

Get status code.

Definition at line 63 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ t()

double t | ( | const int | index | ) |
| inlinestatic

Get production time.

Definition at line 77 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ x()

double x | ( | const int | index | ) |
| inlinestatic

Get X Production vertex.

Definition at line 74 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ y()

double y | ( | const int | index | ) |
| inlinestatic

Get Y Production vertex.

Definition at line 75 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ z()

double z | ( | const int | index | ) |
| inlinestatic

Get Z Production vertex.

Definition at line 76 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr.

## ◆ zero_everything()

void zero_everything | ( |  | ) |
| inlinestatic

Set all entries in HEPEVT to zero.

Definition at line 141 of file HEPEVT_Wrapper_Runtime_Static.h.

References m_hepevtptr, and m_max_particles.

## Field Documentation

## ◆ m_hepevtptr

HEPMC3_EXPORT_API std::shared_ptr< struct HEPEVT_Pointers< double > > m_hepevtptr = nullptr
| staticprivate

Fortran common block HEPEVT.

Definition at line 51 of file HEPEVT_Wrapper_Runtime_Static.h.

## ◆ m_max_particles

HEPMC3_EXPORT_API int m_max_particles = 0
| staticprivate

Block size.

Definition at line 53 of file HEPEVT_Wrapper_Runtime_Static.h.

The documentation for this class was generated from the following files:

- HEPEVT_Wrapper_Runtime_Static.h
- HEPEVT_Wrapper.cc